org.springframework.ui.context

## Interface Theme

All Known Implementing Classes:
  SimpleTheme

    public interface Theme

A Theme can resolve theme-specific messages, codes, file paths, etcetera (e.g. CSS and image files in a web environment). The exposed `MessageSource` supports theme-specific parameterization and internationalization.

Since:
  17.06.2003
Author:
  Juergen Hoeller
See Also:
  `ThemeSource`, `ThemeResolver`

### Method Summary

Methods
`MessageSource` `getMessageSource()` Return the specific MessageSource that resolves messages with respect to this theme.
`String` `getName()` Return the name of the theme.

### Method Detail

#### getName

    String getName()

Return the name of the theme.

Returns:
  the name of the theme (never `null`)

#### getMessageSource

    MessageSource getMessageSource()

Return the specific MessageSource that resolves messages with respect to this theme.

Returns:
  the theme-specific MessageSource (never `null`)